new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load data = ^fichier;

Dates_ = data[.,1];
coefficients = data[.,2 3 4 5];

tau = 1/365;

output file = sargent1.out reset;

N = 1;
do until N > 7;

  Taux = NelsonSiegel_TauxZero(coefficients',N*tau)';
  Taux = calendrier_31jpm(Dates_~Taux,0,0);
  Taux = Interpolation_Donnees(Taux);

  print "==============================================================";
  print ftos(N,"                    N = %lf",2,0);
  print "==============================================================";
  print;
  print "KPSS(RNt)";
  print;

  RNt = Taux[.,2];
  call kpss(RNt,8);

  print;
  print "KPSS(RNt-lag1(RNt))";
  print;

  RNt = RNt - lag1(RNt);
  call kpss(RNt,8);

  N = N + 1;
endo;

output off;
