new;
library spt,tsm,optmum;
SPTset;
TSMset;

fichier = spt_data_path $+ "NS_frf"; load data = ^fichier;

Dates_ = data[.,1];
coefficients = data[.,2 3 4 5];

tau = 1/12;

TC = NelsonSiegel_TauxZero(coefficients',tau)';

output file = sargent4.out reset;

TauStar = 31;

N = 3;
do until N > 12;

  TL = NelsonSiegel_TauxZero(coefficients',N*tau)';
  Taux = calendrier_31jpm(Dates_~TC~TL,0,0);
  Taux = Interpolation_Donnees(Taux);

  print "==============================================================";
  print ftos(N,"                    N = %lf",2,0);
  print "==============================================================";
  print;

  Rt = Taux[.,2];
  RNt = Taux[.,3];

  rt = rt - lag1(rt);
  RNt = RNt - lag1(RNt);

  p = 1;
  do until p > 8;

    call TestSargent(rt,Rnt,N,TauStar,p);
    p = p + 1;

  endo;

  N = N + 3;
endo;


output off;


