new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];

coefficients = NS_frf[.,2 3 4 5];

theta = selif(coefficients, Dates_ .== 19940215);
theta = theta';

tau = seqa(1/12,1/12,12*16);

R = NelsonSiegel_TauxZero(theta,tau);
F1 = NelsonSiegel_TauxATerme(theta,tau,0);
F2 = NelsonSiegel_TauxATerme(theta,tau,2);
F3 = NelsonSiegel_TauxATerme(theta,tau,10);

graphset;
  fonts("simplex simgrma");
  _pnum = 2; _pdate = ""; _plwidth = 0|0|5|0;
  title("Taux a terme du 15/02/94");
  xtics(0,15,5,5);
  ytics(0.05,0.07,0.005,5);
  xlabel("\202t\201");
  _plegstr = "R]t[\202\34\116\118\201"\
             "\000F]t[\202\34\116\201,0\202\118\201"\
             "\000F]t[\202\34\116\201,2\202\118\201"\
             "\000F]t[\202\34\116\201,10\202\118\201";
  _plegctl = {2 6 6 1.25};
  graphprt("-c=1 -cf=terme1.eps -w=5");
  xy(tau,R~F1~F2~F3);

