new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];

coefficients = NS_frf[.,2 3 4 5];

theta = selif(coefficients, Dates_ .== 19940215);
theta = theta';

tau = seqa(1/12,3/12,4*5);
tau = 0|tau;
m = tau;

F = NelsonSiegel_TauxATerme(theta,tau',m);

graphset;
  fonts("simplex simgrma");
  title("Taux a terme F]t[\202\34t\201,m\202\118\201"\
        " du 15/02/94");
  _pdate = ""; _pframe = 0;
  xlabel("\202t\201");
  ylabel("m");
  graphprt("-c=1 -cf=terme3.eps -w=5");
  surface(tau',m,F);


