m = 31;

fichier = spt_data_path $+ "change"; change = loadd(fichier);

change =  Interpolation_donnees(calendrier_31jpm(change,19940101,19961231));
change = ln(change[.,2]/100);

S1 = shiftr(change',m,miss(0,0))';
S2 = change;
delta = (S2-S1)/(m/365);

fichier = spt_data_path $+ "NS_dem"; load NS_dem = ^fichier;
Date_dem = NS_dem[.,1];

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;
Date_frf = NS_frf[.,1];

Date_ = intrsect(Date_dem,Date_frf,1);
Nobs = rows(Date_);
psi = zeros(Nobs,1);

i = 1;
do until i > Nobs;

  pos = indexcat(Date_frf,Date_[i]);
  coefficient_frf = NS_frf[pos,2 3 4 5]';

  pos = indexcat(Date_dem,Date_[i]);
  coefficient_dem = NS_dem[pos,2 3 4 5]';

  F_frf = NelsonSiegel_TauxATerme(coefficient_frf,0,1/12);
  F_dem = NelsonSiegel_TauxATerme(coefficient_dem,0,1/12);

  psi[i] = F_frf - F_dem;

  i = i + 1;
endo;

data = Interpolation_donnees(calendrier_31jpm(Date_~psi,19940101,19961231));
data = shiftr(data',m,miss(0,0))';
data = data~delta;

