new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];
coefficients = NS_frf[.,2 3 4 5];

R0 = coefficients[.,1] + coefficients[.,2];
Rinf = coefficients[.,1];
tau = seqa(2,0.5,11);

TauxZero = NelsonSiegel_TauxZero(coefficients',tau)';
TauxZero = TauxZero;

var = "2"|"2.5"|"3"|"3.5"|"4"|"4.5"|"5"|"5.5"|
      "7"|"7.5"|"8";

__output = 1;

outwidth 256;

output file = acp7.out reset;

{va,ve,scores} = acp(var,TauxZero,1,5);

print;
print "                  ---------------------------------";
print "Vecteurs propres";
print ve;

output off;

outwidth 80;