new;
library spt,pgraph;
SPTset;

a = 0.95; b = 0.10; sigma_ = 0.2; lambda_ = 0.05;

proc mu(x);
  retp(a*(b-x));
endp;

proc sigma(x);
  retp(sigma_);
endp;

proc lambda(x);  
  retp(lambda_);
endp;

proc r(x);
  retp(x);
endp;

t0 = 0;
T = 5;
call SPT(&mu,&sigma,&lambda,&r,t0,T,0);

_spt_algorithme = 0;
_print = 0;

U = zeros(501,5);

theta = seqa(0,0.25,5);

i = 1;
do until i > 5;
  {t,x,k,h} = solution_EDP(-1,1,101,501,theta[i],"sol");
   U[.,i] = Lire_EDP("sol","x"|x[56]);
   i = i + 1;
endo;

tau = 5 - t;
{CouponZero,TauxZero} = Vasicek(x[56],a,b,sigma_,lambda_,tau);
U = CouponZero - U;

graphset;
  _pdate=""; _pnum = 2;
  fonts("simplex simgrma");
  title("Methode des \202Q\201-schemas -- Influence du parametre \202Q\201"\
        "\Lk = 0.01    h = 0.02");
  xlabel("t");
  xtics(0,5,1,10);
  ylabel("erreur");
  _plegstr="\202Q\201 = 0\000\202Q\201 = 0.25\000\202Q\201 = 0.5\000"\
           "\202Q\201 = 0.75\000\202Q\201 = 1";
  _plegctl={ 2 5 2.25 2.75};
  _pysci = 2;
  graphprt("-c=1 -cf=edp1.eps");
  xy(t,U);


