new;
library spt,pgraph;
SPTset;

tau = seqa(0,1/100,500);

{CouponZero1,TauxZero1} = Merton(0.15,0.10,0.1~0.2~0.5,0,tau);

{CouponZero2,TauxZero2} = CIR(0.05~0.20~0.40,0.75,0.30,0.5,0,tau);

graphset;
  begwind;
  window(1,2,0);
    _pdate = ""; _pnum = 2; _pnumht = 0.25; _paxht = 0.275; _ptitlht = 0.275;
    fonts("simplex simgrma");
    xlabel("\202t\201");
    ylabel("\201taux zero R]t]0[[(\202t\201)");
    xtics(0,5,1,10);
    ytics(0,0.4,0.1,10);
    _pltype = 6|1|3;
  setwind(1);
    title("\201Modele de Merton\Lr]0[ = 0.15 \202m\201 = 0.10 \202l\201 = 0");
    _plegctl = {2 6 5 1.5};
    _plegstr = "\202s\201 = 0.1\000\202s\201 = 0.2\000\202s\201 = 0.5";
    xy(tau,TauxZero1);
  setwind(2);
    title("\201Modele de Cox, Ingersoll et Ross\L"\
          "\202k\201 = 0.75 \202Q\201 = 0.30 \202s\201 = 0.5 \202l\201 = 0");
    _plegctl = {2 6 5 1.5};
    _plegstr = "r]0[ = 5%\000r]0[ = 20%\000r]0[ = 40%";
    xy(tau,TauxZero2);
    graphprt("-c=1 -cf=modeles.eps");
  endwind;

