new;
library spt,pgraph;
SPTset;

rndseed 123;

a = 0.95; b = 0.10; sigma = 0.05; 

r0 = 0;
{t1,r1} = simulation_OU(r0,a,b,sigma,0,25,500,1);
r0 = 0.30;
{t2,r2} = simulation_OU(r0,a,b,sigma,0,25,500,1);
a = 0.01~1~10;
{t3,r3} = simulation_OU(r0,a,b,sigma,0,5,500,3);

a = 0.95;
sigma = 0.01~0.2~0.5;
{t4,r4} = simulation_OU(r0,a,b,sigma,0,5,500,3);



graphset;
  begwind;
  window(2,2,0);

    _pdate = ""; _pnum = 2; _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.25;
    xlabel("t");
    fonts("simplex simgrma");

  setwind(1);
    title("\201a = 0.95 b = 0.10 \202s\201 = 0.05\Lr]0[ = 0");
    xtics(0,25,5,5);
    ytics(0,0.3,0.1,10);
    _pline = 1~1~0~b~25~b~1~15~0;
    xy(t1,r1);
  setwind(2);
    title("\201a = 0.95 b = 0.10 \202s\201 = 0.05\Lr]0[ = 0.30");
    xtics(0,25,5,5);
    ytics(0,0.3,0.1,10);
    _pline = 1~1~0~b~25~b~1~15~0;
    xy(t2,r2);
  setwind(3);
    title("\201b = 0.10 \202s\201 = 0.05\Lr]0[ = 0.30");
    xtics(0,5,1,10);
    ytics(0,0.4,0.1,10);
    _pline = 1~1~0~b~25~b~1~15~0;
    _plegstr = "a = 0.1\000a = 1\000a = 10";
    _plegctl = {2 6.5 0.25 3.75};
    _pltype = 6|1|4;
    xy(t3,r3);
  setwind(4);
    title("\201a = 0.95 b = 0.10\Lr]0[ = 0.30");
    xtics(0,5,1,10);
    ytics(-0.4,0.8,0.4,4);
    _plegstr = "\202s\201 = 0.01\000\202s\201 = 0.2\000\202s\201 = 0.5";
    _plegctl = {2 6.5 0.25 3.75};
    _pline = 1~1~0~b~25~b~1~15~0;
    xy(t4,r4);
    graphprt("-c=1 -cf=vasicek1.eps");
  endwind;