new;
library spt,pgraph;
SPTset;

tau = seqa(0,1/100,500);

a = 0.75;
b = 0.30;
sigma = 0.5;
lambda = 0;

r0 = 0.05~0.20~0.40;

{CouponZero,TauxZero} = Vasicek(r0,a,b,sigma,lambda,tau);


graphset;
  _pdate = ""; _pnum = 2;
  fonts("simplex simgrma");
  title("\201Modele de Vasicek @[1977@]"\
        "\La = 0.75  b = 30%  \202s\201 = 0.5  \202l\201 = 0");
  xlabel("\202t\201");
  ylabel("\201taux zero R]t]0[[(\202t\201)");
  xtics(0,5,1,10);
  ytics(0,0.4,0.1,10);
  _pltype = 6|1|3;
  _plegctl = {2 6 6 3.5};
  _plegstr = "r]0[ = 5%\000r]0[ = 20%\000r]0[ = 40%";
  graphprt("-c=1 -cf=vasicek2.eps");
  xy(tau,TauxZero);

