new;
library tsm,optmum,spt,pgraph;
TSMset;

maturite = 1|2|10|50;
pi_ = seqa(1/10,1/20,19);
delta = seqa(1/10,1/20,19)';


ch = "dh";

j = 1;
do until j > 4;
    tau = maturite[j];

    A1 = 1-pi_;
    A2 = A1.*(delta^tau);

    h = 1./(pi_ + A2);
    hstar = h.*(delta^tau);

    dh = h - hstar;

    targetname = ch $+ ftos(j,"%lf",1,0);
    call varput(dh,targetname);
    j = j + 1;
endo;

graphset;
  begwind;
  window2(2,2,0,0.5);

  setwind(1);

    _pdate = ""; _pnum = 0; _paxes = 0; _ptitlht = 2.5;
    fonts("simplex simgrma");
    title("Difference entre les fonctions perturbatrices"\
          " h(\202t\201) et h[*](\202t\201)");
    draw;

    graphset;

    fonts("simplex simgrma");
    xlabel("\202d\201"); ylabel("\202p\201");
    _paxht = 0.35; _pnumht = 0.35; _ptitlht = 0.35;
    xtics(0.1,1,.3,0); ytics(0.1,1,.3,0);


    j = 1;
    do until j > 4;

      setwind(1+j);

        title( "\202t\201" $+ ftos(maturite[j]," = %lf",0,0) );
        targetname = ch $+ ftos(j,"%lf",1,0);
        x = varget(targetname);
        surface(delta,pi_,x);
        j = j + 1;

    endo;

    graphprt("-c=1 -cf=holee1.eps");

endwind;




