@<------------------- holee2.prg ------------------->@

new;
library spt;
SPTset;

tau = 1 | 2 | 3 | 4 ;   /* Maturites 1 an, 2 ans, 3 ans et 4 ans */

{CouponZero,TauxZero} = Vasicek(0.10,0.8,0.11,0.15,0.01,tau);

pi_ = 0.445;
delta = 0.9;
P = arbreHoLee(CouponZero,pi_,delta);
P1 = selectionArbreHoLee(P,1);  

r1 = HoLeeTaux(P1,360,365);    /* Taux zero de maturite 1 an */

output file = holee2.out reset;

Msym " "; format 11,6;
print "--- Arbre d'evolution du taux zero de maturite 1 an ---";
call affichageArbre(r1);

output off;

Msym ".";