@<------------------- bk1.prg ------------------->@

new;
library spt;
SPTset;

proc procMu(t);
  retp(0.15); 
endp;

proc procPhi(t);
  retp(0.2);  
endp;
 
proc procSigma(t);
  retp(0.20); 
endp;

Msym " ";
outwidth 256;  format 11,6;

output file = bk1.out reset;

delta0 = 0.5;
N = 4;
{t,R} = BlackKarasinski(0.10,&procPhi,&procMu,&procSigma,0,delta0,N); 
call affichageBK(t,R);
print;

TT = 2;
N = 4;
delta0 = BKdelta0(0.10,&procPhi,&procMu,&procSigma,0,TT,N,0.01,2);
{t,R} = BlackKarasinski(0.10,&procPhi,&procMu,&procSigma,0,delta0,N); 
call affichageBK(t,R);

output off;

msym ".";
