@<------------------- gvasicek.prg ------------------->@

new;
library spt;
SPTset;

Dates = miss(0,0);
theta =  0.067 | -0.005 | -0.045 | 1.800 ;
NSdata = Dates~theta';   /* Base de donnees Nelson-Siegel */

tau = seqa(0,1,5)'~30;

F = NelsonSiegel_TauxATerme(theta,tau,0);
b = gVasicek(NSdata,0.8,0.02,tau);

output file = gvasicek.out reset;

print "Maturite : "; print tau;
print "Taux a terme : "; print F;
print "b(tau) : "; print b;

output off;