@<------------------- ns3.prg ------------------->@

new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf";
load NSfrf = ^fichier;

Dates = NSfrf[.,1];
NScoeff = NSfrf[.,2 3 4 5];   /* Coefficients de Nelson et Siegel */
Nobs = rows(NScoeff);

r0 = NScoeff[.,1] + NScoeff[.,2];

f = NelsonSiegel_TauxATerme(NScoeff',1,0)';

graphset;
  _pdate = ""; _pnum = 2; _pstype = 8|11; _plctrl = -1; _psymsiz = 1;
  title("Relation entre le taux zero r(t) et le taux a terme f]t[(1)"\
        "\Lpour la periode allant du 10/02/94 au 30/08/96");
  xlabel("r(t)");
  ylabel("f]t[(1) - r(t)");
  ytics(-0.020,0.025,0.005,0);
  graphprt("-c=1 -cf=_ns3.eps");
  xy(r0,f-r0);
  
  