@<------------------- simul4.prg ------------------->@

new;
library spt,pgraph;
SPTset;

proc procMu(t,x);
  retp(0.8*(0.10-x));
endp;

proc procSigma(t,x);
  retp(exp(-(t-5)^2/3).*x);
endp;

{t,x} = simulation_EDS(0.1,&procMu,&procSigma,0,10,500,2);

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6|4;
  title("2 trajectoires d'un processus stochastique"\
        "\Lnon homogene par rapport au temps");
  xlabel("t"); ylabel("x(t)");
  graphprt("-c=1 -cf=_simul4.eps");
  xy(t,x);