@<------------------- spt2.prg ------------------->@

new;
library spt,pgraph;
SPTset;

a = 0.9; b = 0.15; sigma = 0.25; lambda = 0.05;

proc procMu(t,x);
  retp(a*(b-x));
endp;

proc procSigma(t,x);
  retp(sigma*sqrt(t));
endp;

proc procLambda(t,x);  
  retp(lambda);
endp;

proc procR(t,x);
  retp(x);
endp;

t0 = 0;
T = 5;
call SPT(&procMu,&procSigma,&procLambda,&procR,t0,T,1);

_spt_algorithme = 1;
_print = 0;

{t,x,k,h} = solution_EDP(-1,1,201,501,1,"spt2");

tau = 5 - t;

r0 = x[121];
U = Lire_EDP("spt2","x"|r0);
U = -ln(U)./miss(tau,0);

graphset;
  _pdate = ""; _pnum = 2;
  fonts("simplex simgrma");
  title("Solution numerique du modele non homogene par rapport au temps"\
        "\Lmethode des \202Q\201-schemas");
  xlabel("\202t\201");
  ylabel("R]t[(\202t\201)");
  graphprt("-c=1 -cf=_spt2.eps");
  xy(tau,U);
