new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "inflatio";
data = loadd(fichier);
Nobs = rows(data);

dates = data[.,1] + data[.,2]/12;

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  setwind(1);
    _pdate = ""; _pnum = 2;
    title("Taux d'inflation (France)");
    let xlab = " " " " " " " ";
    asclabel(xlab,0);
    xtics(1,3*12,12,12);
    ytics(-0.06,0.14,0.04,4);
    bar(seqa(1,1,Nobs),missrv(data[.,3],0));

  setwind(2);

    let xlab = "1994" "1995" "1996" "1997";
    asclabel(xlab,0);
    draw;

    graphprt("-c=1 -cf=inflat0.eps -w=5");

  endwind;
