new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;
fichier = spt_data_path $+ "NS_dem"; load NS_dem = ^fichier;

tau = seqa(1/12,1/12,12*16);
m = 1;

theta_FRF = NS_frf[.,2 3 4 5];
theta_DEM = NS_dem[.,2 3 4 5];

dF = {};

d = 19940215|19950215|19960215;

i = 1;
do until i > 3;

  theta = selif(theta_FRF, NS_frf[.,1] .== d[i]);
  theta = theta';

  F1 = NelsonSiegel_TauxATerme(theta,tau,m);

  theta = selif(theta_DEM, NS_dem[.,1] .== d[i]);
  theta = theta';

  F2 = NelsonSiegel_TauxATerme(theta,tau,m);

  dF = dF~lagn(F1-F2,(i-1)*12);

  i = i + 1;
endo;

graphset;
  fonts("simplex simgrma");
  _pnum = 2; _pdate = ""; _plwidth = 0|0|5|0; _pltype = 6|1|3;
  title("Anticipations du differentiel d'inflation"\
        " FRANCE/ALLEMAGNE");
  xtics(1994,2004,1,0);
  ytics(-0.5,1.0,0.5,5);
  let xlab = "" "Fev 1995" "" "Fev 1997"
             "" "Fev 1999" "" "Fev 2001"
             "" "Fev 2003" "" "Fev 2005";
  asclabel(xlab,0);
  ylabel("en %");
  graphprt("-c=1 -cf=inflat2.eps -w=5");
  xy(1994 + tau,dF*100);




