new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates = NS_frf[.,1];
{S,P,N} = NelsonSiegel_SPN(NS_frf,1/100,1);
SPN = S~P~N;
SPN = Interpolation_Donnees(calendrier_31jpm(Dates~SPN,19940101,19961231));


SPN = SPN[.,2:4];

output file = spn4.out reset;

y = packr(SPN);

y = packr(y - lag1(y));
Mcor = corrx(y);

print "Matrice de correlation (difference)";
call printfm(Mcor,1,"*.*lf"~8~3});

output off;
