new;
library spt,pgraph;
SPTset;

fichier = spt_data_path $+ "change"; 
data = loadd(fichier);

data = Interpolation_donnees(Calendrier_31jpm(data,19940101,19961231));

S = data[.,2]/100;

Nobs = rows(S);

graphset;
  _pdate = ""; _pnum = 2; 
  fonts("simplex simgrma");
  title("Cours de change FRF/DEM");
  let xlab = "1994" "1995" "1996" "1997";
  asclabel(xlab,0);
  xtics(1,Nobs,31*12,12);
  graphprt("-c=1 -cf=change1.eps");
  xy(seqa(1,1,Nobs),S);


