new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];

coefficients = NS_frf[.,2 3 4 5];
R0 = coefficients[.,1] + coefficients[.,2];
Rinf = coefficients[.,1];
tau = seqa(1/12,1/12,24);

TauxZero = NelsonSiegel_TauxZero(coefficients',tau)';
TauxZero = R0~TauxZero;

var = "0"|"1/12"|"2/12"|"3/12"|"4/12"|"5/12"|"6/12"|
          "7/12"|"8/12"|"9/12"|"10/12"|"11/12"|"1"|
          "13/12"|"14/12"|"15/12"|"16/12"|"17/12"|"18/12"|
          "19/12"|"20/12"|"21/12"|"22/12"|"23/12"|"2";

__output = 1;

outwidth 256;

output file = acp6.out reset;

{va,ve,scores} = acp(var,TauxZero,1,5);

print "                  ---------------------------------";
print "Vecteurs propres";
print ve;

output off;

outwidth 80;