new;
library spt;
SPTset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];

coefficients = NS_frf[.,2 3 4 5];
R0 = coefficients[.,1] + coefficients[.,2];
Rinf = coefficients[.,1];
tau = seqa(10,5,9);

TauxZero = NelsonSiegel_TauxZero(coefficients',tau)';
TauxZero = TauxZero;

var = "10"|"15"|"20"|"25"|"30"|"35"|"40"|"45"|"50";

__output = 1;

outwidth 256;

output file = acp8.out reset;

{va,ve,scores} = acp(var,TauxZero,1,5);

print "                  ---------------------------------";
print "Vecteurs propres";
print ve;

output off;

outwidth 80;