new;
library spt,pgraph;
SPTset;

a = 0.95; b = 0.10; sigma_ = 0.2; lambda_ = 0.05;

proc mu(x);
  retp(a*(b-x));
endp;

proc sigma(x);
  retp(sigma_);
endp;

proc lambda(x);  
  retp(lambda_);
endp;

proc r(x);
  retp(x);
endp;

t0 = 0;
T = 5;
call SPT(&mu,&sigma,&lambda,&r,t0,T,0);

_spt_algorithme = 0;
_print = 1;

{t,x,k,h} = solution_EDP(-1,1,101,501,0.25,"sol");

U = Lire_EDP("sol","t"|t[251]);
tau = 5 - t[251];
{CouponZero,TauxZero} = Vasicek(x,a,b,sigma_,lambda_,tau);
U = CouponZero-U;

graphset;
  _pdate=""; _pnum = 2;
  fonts("simplex simgrma");
  title("Methode des \202Q\201-schemas"\
        "\Lk = 0.01   h = 0.02   \202Q\201 = 0.25   t = 2.5");
  xlabel("x");
  xtics(-1,1,0.5,5);
  ylabel("erreur");
  _pysci = 2;
  graphprt("-c=1 -cf=edp4.eps");
  xy(x,U);
