new;
library spt,pgraph;
SPTset;

Nv = seqa(10,10,9)|seqa(100,50,11);
Nobs = rows(Nv);

tINVLU = zeros(Nobs,1);
tINVTRIDIAG = zeros(Nobs,1);

i = 1;
do until i > Nobs;

  cls;
  print /flush ftos(i,"Iteration no. %lf",1,0);

  N = Nv[i];
  a = rndn(N,1); b = rndn(N,1); c = rndn(N,1);

  t0 = hsec;
    invmatrice1 = Inversion_Matrice_Tridiagonale(a,b,c);
  t1 = hsec;
  tINVTRIDIAG[i] = t1 - t0;

  Matrice = Creation_Matrice_Tridiagonale(a,b,c);

  t0 = hsec;
    invMatrice2 = inv(Matrice);
  t1 = hsec;
  tINVLU[i] = t1 - t0;

  i = i + 1;
endo;

rapport = tINVLU./miss(tINVTRIDIAG,0);

graphset;
   title("Efficacite relative pour l'inversion d'une matrice"\
         "\LAlgorithme tridiagonal / factorisation LU");
   _pnum = 2; _pdate = "";
   xlabel("Rang de la matrice");
   ylabel("t]INV-LU[/t]INV-TRIDIAG[");
  _plctrl = 1;
  _pstype = 9;
  ytics(0,20,5,5);
  graphprt("-c=1 -cf=tridiag2.eps");
  xy(Nv,rapport);