new;
library spt,pgraph,tsm,optmum;
TSMset;

fichier = spt_data_path $+ "NS_frf"; load NS_frf = ^fichier;

Dates_ = NS_frf[.,1];
mu1 = NS_frf[.,2]; mu2 = NS_frf[.,3]; mu3 = NS_frf[.,4]; tau1 = NS_frf[.,5];
R0 = mu1 + mu2;

data = Interpolation_Donnees( calendrier_31jpm(Dates_~R0,19940101,19961231) );
Nobs = rows(data);
Dates_ = data[.,1]; R0 = data[.,2];


indx = 2|4|6|7|8|10;
load estim = estim1;
alpha = estim[1,.];
beta = estim[2,.];
b = -alpha'./beta';
b[7] = b[7]^2;  /* Modele de Longstaff [1989] */
b = b[indx];


_kernel[1:2] = 0.02|0.09;
_bandwidth = 0.002;
{x,d,F,retcode} = Kernel(R0);


graphset;
  _pdate = ""; _pnum = 2;
  title("Fonction de densite du taux zero instantane"\
        "\L10/02/1994 -- 30/08/1996");
  trait = 1|2|3|4|5|6;
  _pline = ones(6,1)~trait~b~zeros(6,1)~b~ones(6,1).*(1000~1~7~0);  
  _pmsgstr = "V\000BS\000CIR\000L\000CKLS\000W";
  _pmsgctl =   0.055~5~0.23~0~1~7~0  |
               0.055~15~0.23~0~1~7~0 |
               0.055~25~0.23~0~1~7~0 |
               0.055~35~0.23~0~1~7~0 |
               0.055~45~0.23~0~1~7~0 |
               0.055~55~0.23~0~1~7~0 ;   
  _psym =      b[1]~5~8~3~7~1~0  |
               b[2]~15~8~3~7~1~0 |
               b[3]~25~8~3~7~1~0 |
               b[4]~35~8~3~7~1~0 |
               b[5]~45~8~3~7~1~0 |
               b[6]~55~8~3~7~1~0 ;   
  xlabel("r(t)");
  graphprt("-c=1 -cf=etude1.eps");
  xy(x,d);