@<------------------- holee3.prg ------------------->@

new;
library spt;
SPTset;

tau = 1 | 2 | 3 | 4 ;   /* Maturites 1 an, 2 ans, 3 ans et 4 ans */

{CouponZero,TauxZero} = Vasicek(0.10,0.8,0.11,0.15,0.01,tau);

pi_ = 0.445;
delta = 0.9;
P = arbreHoLee(CouponZero,pi_,delta);
P1 = selectionArbreHoLee(P,1);  
r1 = HoLeeTaux(P1,360,365);   

payoff = 100*HoLeeCap(r1,0.12);  /* payoff du cap de taux d'exercice 10 %
                                    pour un contrat de 100 francs         */

output file = holee3.out reset;

Msym " "; 
call affichageArbre(payoff);

output off;

Msym ".";