@<------------------- bk3.prg ------------------->@

new;
library spt;
SPTset;

proc procMu(t);
  retp(0.15); 
endp;

proc procPhi(t);
  retp(0.2);  
endp;
 
proc procSigma(t);
  retp(0.20); 
endp;

TT = 0.5;
N = 5;
delta0 = BKdelta0(0.10,&procPhi,&procMu,&procSigma,0,TT,N,0.01,2);
{t,R} = BlackKarasinski(0.10,&procPhi,&procMu,&procSigma,0,delta0,N); 
payoff = 100*BKcap(R,0.10);
{V,arbreV} = BKvalorisation(payoff,R,t);
V = selectionArbreHoLee(ArbreV,1);

output file = bk3.out reset;

Msym " ";
call affichageArbre(V);

output off;

msym ".";