@<------------------- merton.prg ------------------->@

new;
library spt,pgraph;
SPTset;

tau = seqa(0,1/100,301);

r0 = 0.10;
{P,r1} = Merton(r0,0.08,0.1,0.05,tau);
{P,r2} = Merton(r0,0.08,0.5,0.05,tau);

graphset;
  _pdate = ""; _pnum = 2;
  fonts("simplex simgrma");
  title("Taux zero dans le modele de Merton"\
        "\Lr]0[ = 0.10  \202m\201 = 0.08  \202l\201 = 0.05");
  xlabel("\202t\201");
  xtics(0,3,0.5,0);
  ytics(-0.2,0.2,0.05,0);
  graphprt("-c=1 -cf=_merton.eps");
  xy(tau,r1~r2);