@<------------------- ns2.prg ------------------->@

new;
library spt;
SPTset;

Dates = miss(0,0);
theta =  0.067 |
        -0.005 |
        -0.045 |
         1.800 ;

NS = Dates~theta';   /* Base de donnees Nelson-Siegel */

{S,P,N} = NelsonSiegel_SPN(NS,1/100,5);

output file = ns2.out reset;

print ftos(S,"Spread : %lf",10,5);
print ftos(P,"Pente :  %lf",10,5);
print ftos(N,"Niveau : %lf",10,5);

output off;
