@<------------------- simul3.prg ------------------->@

new;
library spt,pgraph;
SPTset;

a = 0.05;     /* borne inferieure du processus   */
b = 0.10;     /* borne superieure du processus   */
theta = 0.8;  /* retour a la moyenne             */

sigma = 2;    /* tres forte variance !!!   */
c = 0.1;      /* tres faible intensite !!! */

proc procMu(t,x);
  local w1,w2,w3,w;
  w1 = b - a;
  w2 = b - x;
  w3 = x - a;
  w = (c.*(w2-w3) - w2.*w3.*theta)./w1;
  retp(w);
endp;

proc procSigma(t,x);
  local w1,w2,w3,w;
  w1 = b - a;
  w2 = b - x;
  w3 = x - a;
  w = sigma.*w2.*w3./w1;
  retp(w);
endp;

{t,x} = simulation_EDS(0.05,&procMu,&procSigma,0,5,500,2);

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6|4;
  title("2 trajectoires du processus de Schlogl et Summer @[1995@]");
  xlabel("t"); ylabel("x(t)");
  graphprt("-c=1 -cf=_simul3.eps");
  xy(t,x);
